Subject: SUMMARY: problem with make in b18
From: [email-masked] (Nicholas J Brealey)

11 Jun 1997 01:06:53 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Original-To: [email-masked]
X-Mailer: VM 6.22 under 19.15 XEmacs Lucid
Original-Sender: [email-masked]

Thanks to Bill Luebkert and Larry Hall for replying to my query.

In summary, THERE IS A BUG in the way the make works in b18:
Consider the make files one.mk and two.mk where one.mk contains

all:
	@echo MAKEFLAGS=$(MAKEFLAGS)
	@$(MAKE) -f two.mk

and two.mk contains

all:
	@echo MAKEFLAGS=$(MAKEFLAGS)

The correct operation is
$ make -f one.mk CC=xx
MAKEFLAGS=CC=xx
make[1]: Entering directory `/home/nick'
MAKEFLAGS=-w -- CC=xx
make[1]: Leaving directory `/home/nick'
$

But b18 gives:
$ make -f one.mk CC=xx
MAKEFLAGS=CC=xx
MAKEFLAGS=
$

This problem was reported before by 
[email-masked] (Mikey) any possibly others
before I subscribed to this list.

I have got round the problem by using GNU make 3.75 compiled with MSVC 4.0
and the MKS Korn shell (I have not investigated using the CYGWIN
bash with the MSVC GNU make).

There may be work-arounds if you are prepared to re-write
makefiles for the buggy behaviour in b18

Nick

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".